# Uses of Interface
java.nio.channels.SeekableByteChannel

Packages that use SeekableByteChannel
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.
java.nio.file.spi
Service-provider classes for the `java.nio.file` package.

## Uses of SeekableByteChannel in java.nio.channels

Classes in java.nio.channels that implement SeekableByteChannel
Modifier and Type
Class
Description
`class`
`FileChannel`
A channel for reading, writing, mapping, and manipulating a file.
Methods in java.nio.channels that return SeekableByteChannel
Modifier and Type
Method
Description
`SeekableByteChannel`
SeekableByteChannel.`position(long newPosition)`
Sets this channel's position.
`SeekableByteChannel`
SeekableByteChannel.`truncate(long size)`
Truncates the entity, to which this channel is connected, to the given size.

## Uses of SeekableByteChannel in java.nio.file

Methods in java.nio.file that return SeekableByteChannel
Modifier and Type
Method
Description
`static SeekableByteChannel`
Files.`newByteChannel(Path path, OpenOption... options)`
Opens or creates a file, returning a seekable byte channel to access the file.
`static SeekableByteChannel`
Files.`newByteChannel(Path path, Set<? extends OpenOption> options, FileAttribute<?>... attrs)`
Opens or creates a file, returning a seekable byte channel to access the file.
`SeekableByteChannel`
SecureDirectoryStream.`newByteChannel(T path, Set<? extends OpenOption> options, FileAttribute<?>... attrs)`
Opens or creates a file in this directory, returning a seekable byte channel to access the file.

## Uses of SeekableByteChannel in java.nio.file.spi

Methods in java.nio.file.spi that return SeekableByteChannel
Modifier and Type
Method
Description
`abstract SeekableByteChannel`
FileSystemProvider.`newByteChannel(Path path, Set<? extends OpenOption> options, FileAttribute<?>... attrs)`
Opens or creates a file, returning a seekable byte channel to access the file.